      SUBROUTINE USDFLD(FIELD,STATEV,PNEWDT,DIRECT,T,CELENT,
     1 TIME,DTIME,CMNAME,ORNAME,NFIELD,NSTATV,NOEL,NPT,LAYER,
     2 KSPT,KSTEP,KINC,NDI,NSHR,COORD,JMAC,JMATYP,MATLAYO,LACCFLA)
C
      INCLUDE 'ABA_PARAM.INC'
C
      CHARACTER*80 CMNAME,ORNAME
      CHARACTER*3  FLGRAY(15)
      DIMENSION FIELD(NFIELD),STATEV(NSTATV),DIRECT(3,3),
     1 T(3,3),TIME(2)
      DIMENSION ARRAY(15),JARRAY(15),JMAC(*),JMATYP(*),COORD(*)
C      
Cuser code starts      
C*read principal stress
      PARAMETER (PA=101.3D0,EK=300.0D0,EN=0.5D0,EMIN=50.0D0,EC=250.D0)
      CALL GETVRM('SP',ARRAY,JARRAY,FLGRAY,JRCD,JMAC,JMATYP,MATLAYO,
     & LACCFLA)
      SP1=ARRAY(1)
      SP2=ARRAY(2)
      SP3=ARRAY(3)    
      WRITE (101,1) time(2),SP1,SP2,SP3
1     FORMAT(/'time2=',F16.6,/'SP1=',2X, F16.6,/'SP2=',2X, F16.6,
     & /'SP3=',2X, F16.6,/) 
C
      IF (SP3.LT.0) THEN
      FIELD(1)=-SP3
      STATEV(1)=EK*PA*(-SP3/PA)**EN
      ELSE
      FIELD(1)=0
      STATEV(1)=EC 
      END IF
      write (101,2) STATEV(1)
2     FORMAT('statev1=',2X, F16.6) 
      IF (JRCD.NE.0) THEN
      WRITE (101,*) 'REQUEST ERROR IN USDFLD FOR ELEMENT NUMER',
     &NOEL,'INTEGRATION POINT NUMBER',NPT 
      endif
      RETURN
      END
      
C      
      SUBROUTINE UEXTERNALDB(LOP,LRESTART,TIME,DTIME,KSTEP,KINC)
      INCLUDE 'ABA_PARAM.INC'
         INTEGER MPN
      DIMENSION TIME(2)
      IF (LOP.EQ.0) THEN
         OPEN(101,FILE='C:\TempABA\EUSDFLD.OUT',STATUS='REPLACE')
      ELSEIF (LOP.EQ.3) THEN
         !CLOSE FILES AT END OF ANALYSIS
      CLOSE(101)

      ENDIF
      RETURN
      END